Bug 1107422 - Review Request: octomap - Efficient Probabilistic 3D Mapping Framework Based on Octrees
Summary: Review Request: octomap - Efficient Probabilistic 3D Mapping Framework Based ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 02:39 UTC by Rich Mattes
Modified: 2014-07-16 01:59 UTC (History)
2 users (show)

Fixed In Version: octomap-1.6.6-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-16 01:59:23 UTC
Type: ---
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rich Mattes 2014-06-10 02:39:42 UTC
Spec URL: http://rmattes.fedorapeople.org/RPMS/octomap/octomap.spec
SRPM URL: http://rmattes.fedorapeople.org/RPMS/octomap/octomap-1.6.6-1.fc20.src.rpm

Description: 
The OctoMap library implements a 3D occupancy grid mapping approach,
providing data structures and mapping algorithms in C++ particularly suited
for robotics. The map implementation is based on an octree.

Fedora Account System Username: rmattes

rpmlint:
$ rpmlint ./octomap.spec ../RPMS/x86_64/octo* ../RPMS/x86_64/dynamic* ../RPMS/noarch/octomap-doc*
octomap.x86_64: W: spelling-error %description -l en_US octree -> trochee
octomap.x86_64: W: no-manual-page-for-binary bt2vrml
octomap.x86_64: W: no-manual-page-for-binary octovis
octomap.x86_64: W: no-manual-page-for-binary binvox2bt
octomap.x86_64: W: no-manual-page-for-binary log2graph
octomap.x86_64: W: no-manual-page-for-binary convert_octree
octomap.x86_64: W: no-manual-page-for-binary graph2tree
octomap.x86_64: W: no-manual-page-for-binary edit_octree
octomap.x86_64: W: no-manual-page-for-binary compare_octrees
octomap.x86_64: W: no-manual-page-for-binary eval_octree_accuracy
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/OcTreeDrawer.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/SceneObject.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerWidget.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerSettings.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/CameraFollowMode.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/SelectionBox.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/OcTreeDrawer.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/OcTreeRecord.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/CameraFollowMode.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/TrajectoryDrawer.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerSettings.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/TrajectoryDrawer.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/PointcloudDrawer.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerSettingsPanel.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerSettingsPanelCamera.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ColorOcTreeDrawer.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/SelectionBox.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerGui.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerSettingsPanel.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/main.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ColorOcTreeDrawer.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerSettingsPanelCamera.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerWidget.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/SceneObject.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/PointcloudDrawer.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerGui.h
octomap-devel.x86_64: W: no-documentation
octomap-octovis.x86_64: W: spelling-error %description -l en_US libQGLViewer -> interviewer
octomap-octovis.x86_64: W: no-manual-page-for-binary octovis
octomap-octovis-devel.x86_64: W: no-documentation
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SelectionBox.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeRecord.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/PointcloudDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SceneObject.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/TrajectoryDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/ColorOcTreeDrawer.h
dynamic-edt-3d.x86_64: W: spelling-error %description -l en_US updatable -> uneatable
dynamic-edt-3d-devel.x86_64: W: no-documentation
8 packages and 1 specfiles checked; 33 errors, 16 warnings.

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7030163

Comment 1 Florian "der-flo" Lehner 2014-06-21 16:05:52 UTC
Issues
======

[ ]: Please add some words to the subpackages instead of using just %{summary}


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "GPL (v2 or later) (with incorrect FSF address)", "GPL
     (unversioned/unknown version) GPL (v2 or later)", "Unknown or generated".
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
   ---> please add a comment where the breakdown is
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/octovis,
     /usr/lib64/cmake
   ---> please add something like "mkdir -p {_bindir}/octovis" and
        "mkdir -p %{_datadir}/octovis" to the %install-section
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
   ---> Please replace /sbin with %{_sbindir}
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[!]: Package complies to the Packaging Guidelines
   ---> There are some issues.
        Please fix those issues and I'll take another review.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in octomap-doc
     , octomap-octovis , octomap-octovis-devel , dynamic-edt-3d , dynamic-edt-
     3d-devel
   ---> why isn't octomap-octovis needed for octovis-devel?
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
   ---> please add a comment
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7064329
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[!]: SourceX is a working URL.
   ---> Please replace Source0 with:
        Source0:   https://github.com/OctoMap/octomap/releases/tag/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
        Replace "%setup -q -n %{name}-%{commit}" with just "%setup"
        Using the new Source0 you don't need -n in %setup 
        And remove these two:
        %global shortcommit
        %global commit
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: octomap-1.6.6-1.fc21.x86_64.rpm
          octomap-devel-1.6.6-1.fc21.x86_64.rpm
          octomap-doc-1.6.6-1.fc21.noarch.rpm
          octomap-octovis-1.6.6-1.fc21.x86_64.rpm
          octomap-octovis-devel-1.6.6-1.fc21.x86_64.rpm
          dynamic-edt-3d-1.6.6-1.fc21.x86_64.rpm
          dynamic-edt-3d-devel-1.6.6-1.fc21.x86_64.rpm
          octomap-1.6.6-1.fc21.src.rpm
octomap.x86_64: W: spelling-error %description -l en_US octree -> trochee
octomap.x86_64: W: no-manual-page-for-binary bt2vrml
octomap.x86_64: W: no-manual-page-for-binary octovis
octomap.x86_64: W: no-manual-page-for-binary binvox2bt
octomap.x86_64: W: no-manual-page-for-binary log2graph
octomap.x86_64: W: no-manual-page-for-binary convert_octree
octomap.x86_64: W: no-manual-page-for-binary graph2tree
octomap.x86_64: W: no-manual-page-for-binary edit_octree
octomap.x86_64: W: no-manual-page-for-binary compare_octrees
octomap.x86_64: W: no-manual-page-for-binary eval_octree_accuracy
octomap-devel.x86_64: W: no-documentation
octomap-octovis.x86_64: W: spelling-error %description -l en_US libQGLViewer -> interviewer
octomap-octovis.x86_64: W: no-manual-page-for-binary octovis
octomap-octovis-devel.x86_64: W: no-documentation
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SelectionBox.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeRecord.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/PointcloudDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SceneObject.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/TrajectoryDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/ColorOcTreeDrawer.h
dynamic-edt-3d.x86_64: W: spelling-error %description -l en_US updatable -> uneatable
dynamic-edt-3d-devel.x86_64: W: no-documentation
octomap.src: W: spelling-error %description -l en_US octree -> trochee
8 packages and 0 specfiles checked; 7 errors, 17 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint dynamic-edt-3d octomap-doc octomap-octovis-devel octomap oc 
tomap-octovis octomap-devel dynamic-edt-3d-devel
dynamic-edt-3d.x86_64: W: spelling-error %description -l en_US updatable -> uneatable
dynamic-edt-3d.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdynamicedt3d.so.1.6.6 /lib64/liboctomap.so.1.6
octomap-octovis-devel.x86_64: W: no-documentation
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SelectionBox.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeRecord.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/PointcloudDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SceneObject.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/TrajectoryDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/ColorOcTreeDrawer.h
octomap.x86_64: W: spelling-error %description -l en_US octree -> trochee
octomap.x86_64: W: no-manual-page-for-binary bt2vrml
octomap.x86_64: W: no-manual-page-for-binary octovis
octomap.x86_64: W: no-manual-page-for-binary binvox2bt
octomap.x86_64: W: no-manual-page-for-binary log2graph
octomap.x86_64: W: no-manual-page-for-binary convert_octree
octomap.x86_64: W: no-manual-page-for-binary graph2tree
octomap.x86_64: W: no-manual-page-for-binary edit_octree
octomap.x86_64: W: no-manual-page-for-binary compare_octrees
octomap.x86_64: W: no-manual-page-for-binary eval_octree_accuracy
octomap-octovis.x86_64: W: spelling-error %description -l en_US libQGLViewer -> interviewer
octomap-octovis.x86_64: W: no-manual-page-for-binary octovis
octomap-devel.x86_64: W: no-documentation
dynamic-edt-3d-devel.x86_64: W: no-documentation
7 packages and 0 specfiles checked; 7 errors, 17 warnings.
# echo 'rpmlint-done:'



Requires
--------
dynamic-edt-3d (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    liboctomap.so.1.6()(64bit)
    liboctomath.so.1.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

octomap-doc (rpmlib, GLIBC filtered):

octomap-octovis-devel (rpmlib, GLIBC filtered):

octomap (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libQGLViewer.so.2.5.1()(64bit)
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtOpenGL.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    liboctomap.so.1.6()(64bit)
    liboctomath.so.1.6()(64bit)
    liboctovis.so.1.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

octomap-octovis (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libQGLViewer.so.2.5.1()(64bit)
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtOpenGL.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    liboctomap.so.1.6()(64bit)
    liboctomath.so.1.6()(64bit)
    liboctovis.so.1.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

octomap-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libdynamicedt3d.so.1.6()(64bit)
    liboctomap.so.1.6()(64bit)
    liboctomath.so.1.6()(64bit)
    liboctovis.so.1.6()(64bit)
    octomap(x86-64)

dynamic-edt-3d-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    dynamic-edt-3d(x86-64)
    libdynamicedt3d.so.1.6()(64bit)



Provides
--------
dynamic-edt-3d:
    dynamic-edt-3d
    dynamic-edt-3d(x86-64)
    libdynamicedt3d.so.1.6()(64bit)

octomap-doc:
    octomap-doc

octomap-octovis-devel:
    octomap-octovis-devel
    octomap-octovis-devel(x86-64)

octomap:
    liboctomap.so.1.6()(64bit)
    liboctomath.so.1.6()(64bit)
    liboctovis.so.1.6()(64bit)
    octomap
    octomap(x86-64)

octomap-octovis:
    octomap-octovis
    octomap-octovis(x86-64)

octomap-devel:
    octomap-devel
    octomap-devel(x86-64)
    pkgconfig(dynamicEDT3D)
    pkgconfig(octomap)

dynamic-edt-3d-devel:
    dynamic-edt-3d-devel
    dynamic-edt-3d-devel(x86-64)
    pkgconfig(dynamicEDT3D)



Source checksums
----------------
https://github.com/OctoMap/octomap/archive/6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octomap-1.6.6-6d85527.tar.gz :
  CHECKSUM(SHA256) this package     : 487b72c05c13546586e6e62b1b12344b752efc3dcbbd2ac2b4556bc3b40e77df
  CHECKSUM(SHA256) upstream package : 487b72c05c13546586e6e62b1b12344b752efc3dcbbd2ac2b4556bc3b40e77df


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1107422
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
NOT approved.  Please fix-up those named issues and I'll have another review.

Comment 2 Rich Mattes 2014-06-24 03:06:39 UTC
Thanks for the review!

I've addressed the following:
* Add more detailed descriptions
* Add versioned Requires where available
* Added comments about license breakdown and patch status
* Fixed package ownership issues
* Fixed bugs with breaking the libraries up into separate packages

There's a couple of things I'm not sure about:
* The source URL (derived from the commit hash) is needed as per the github packaging guidelines at http://fedoraproject.org/wiki/Packaging:SourceURL#Github.  I think the problem with the github "releases" is that they're based on tags, which are mutable
* The ldconfig snippets in post and postun follow the guidelines at https://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries, I don't think there needs to be a macro for sbindir (which expands to /usr/sbin, not /sbin)

With that, here are the updated packages:

Spec URL: http://rmattes.fedorapeople.org/RPMS/octomap/octomap.spec
SRPM URL: http://rmattes.fedorapeople.org/RPMS/octomap/octomap-1.6.6-2.fc20.src.rpm

$ rpmlint ../RPMS/x86_64/octomap-* ../RPMS/x86_64/dynamic-edt-3d-* ../RPMS/noarch/octomap-doc-1.6.6-2.fc20.noarch.rpm ./octomap.spec
octomap.x86_64: W: spelling-error %description -l en_US octree -> trochee
octomap.x86_64: W: no-manual-page-for-binary bt2vrml
octomap.x86_64: W: no-manual-page-for-binary binvox2bt
octomap.x86_64: W: no-manual-page-for-binary log2graph
octomap.x86_64: W: no-manual-page-for-binary convert_octree
octomap.x86_64: W: no-manual-page-for-binary graph2tree
octomap.x86_64: W: no-manual-page-for-binary edit_octree
octomap.x86_64: W: no-manual-page-for-binary compare_octrees
octomap.x86_64: W: no-manual-page-for-binary eval_octree_accuracy
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/OcTreeDrawer.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/SceneObject.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerWidget.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerSettings.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/CameraFollowMode.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/SelectionBox.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/OcTreeDrawer.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/OcTreeRecord.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/CameraFollowMode.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/TrajectoryDrawer.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerSettings.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/TrajectoryDrawer.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/PointcloudDrawer.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerSettingsPanel.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerSettingsPanelCamera.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ColorOcTreeDrawer.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/SelectionBox.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerGui.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerSettingsPanel.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/main.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ColorOcTreeDrawer.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerSettingsPanelCamera.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerWidget.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/SceneObject.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/PointcloudDrawer.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerGui.h
octomap-devel.x86_64: W: no-documentation
octomap-octovis.x86_64: W: spelling-error %description -l en_US libQGLViewer -> interviewer
octomap-octovis.x86_64: W: no-manual-page-for-binary octovis
octomap-octovis-devel.x86_64: W: no-documentation
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SelectionBox.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeRecord.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/PointcloudDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SceneObject.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/TrajectoryDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/ColorOcTreeDrawer.h
dynamic-edt-3d.x86_64: W: spelling-error %description -l en_US updatable -> uneatable
dynamic-edt-3d.x86_64: W: spelling-error %description -l en_US updatable -> uneatable
dynamic-edt-3d-devel.x86_64: W: no-documentation
dynamic-edt-3d-devel.x86_64: W: no-documentation
octomap-doc.noarch: W: spelling-error %description -l en_US doxygen -> oxygen, d oxygen
10 packages and 1 specfiles checked; 33 errors, 18 warnings.

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7069720

Comment 3 Florian "der-flo" Lehner 2014-06-24 17:27:47 UTC
(In reply to Rich Mattes from comment #2)

> I've addressed the following:
> * Add more detailed descriptions
> * Add versioned Requires where available
> * Added comments about license breakdown and patch status
> * Fixed package ownership issues
> * Fixed bugs with breaking the libraries up into separate packages

Looks quite good so far :-)

 
> There's a couple of things I'm not sure about:
> * The source URL (derived from the commit hash) is needed as per the github
> packaging guidelines at
> http://fedoraproject.org/wiki/Packaging:SourceURL#Github.  I think the
> problem with the github "releases" is that they're based on tags, which are
> mutable

Since the commit revision hash in your spec-file is the same commit revision hash that tags version 1.6.6 upstream, it's much easier to use just the following:
Source0:   https://github.com/OctoMap/%{name}/releases/tag/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
If you package a non-tagged version I totally agree with you.
As the your links says:
>>  If the upstream does create tarballs you should use them as tarballs provide an easier trail for people auditing the packages. 

> * The ldconfig snippets in post and postun follow the guidelines at
> https://fedoraproject.org/wiki/Packaging:Guidelines#Shared_Libraries, I
> don't think there needs to be a macro for sbindir (which expands to
> /usr/sbin, not /sbin)

I recommend to use macros everywhere it's possible.
You never know how people change/map/unmap their system. Using macros you are well prepared (even it's not yet in the snippet).

Comment 4 Rich Mattes 2014-06-27 00:49:35 UTC
I gave the sbindir thing a try.  It currently works but there were some mailing list threads a while back where there was a mismatch betwene the /usr/sbin/ldconfig that the specs use, and the /sbin/ldconfig that ends up in the glibc package's Provides.  It does seem to work here, so I'll keep it unless there's an issue.

As far as the github url, the reasoning is explained in https://fedorahosted.org/fpc/ticket/233.  Indeed, the versioned URL like the one you proposed was considered, but since github's "releases" are really just git tags, which are mutable, they found it was better to just point to a specific commit then to rely on github's 'release' archive generation.

Anyway, updates can be found here:

Spec URL: http://rmattes.fedorapeople.org/RPMS/octomap/octomap.spec
SRPM URL: http://rmattes.fedorapeople.org/RPMS/octomap/octomap-1.6.6-3.fc20.src.rpm

The rpmlint:
$ rpmlint ../RPMS/x86_64/octomap-* ../RPMS/x86_64/dynamic-edt-3d-* ../RPMS/noarch/octomap-doc-1.6.6-3.fc20.noarch.rpm ./octomap.spec
octomap.x86_64: W: spelling-error %description -l en_US octree -> trochee
octomap.x86_64: W: no-manual-page-for-binary bt2vrml
octomap.x86_64: W: no-manual-page-for-binary binvox2bt
octomap.x86_64: W: no-manual-page-for-binary log2graph
octomap.x86_64: W: no-manual-page-for-binary convert_octree
octomap.x86_64: W: no-manual-page-for-binary graph2tree
octomap.x86_64: W: no-manual-page-for-binary edit_octree
octomap.x86_64: W: no-manual-page-for-binary compare_octrees
octomap.x86_64: W: no-manual-page-for-binary eval_octree_accuracy
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/OcTreeDrawer.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/SceneObject.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerWidget.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerSettings.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/CameraFollowMode.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/SelectionBox.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/OcTreeDrawer.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/OcTreeRecord.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/CameraFollowMode.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/TrajectoryDrawer.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerSettings.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/TrajectoryDrawer.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/PointcloudDrawer.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerSettingsPanel.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerSettingsPanelCamera.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ColorOcTreeDrawer.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/SelectionBox.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerGui.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerSettingsPanel.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/main.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ColorOcTreeDrawer.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerSettingsPanelCamera.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/ViewerWidget.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/SceneObject.h
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/src/PointcloudDrawer.cpp
octomap-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/octomap-6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octovis/include/octovis/ViewerGui.h
octomap-devel.x86_64: W: no-documentation
octomap-octovis.x86_64: W: spelling-error %description -l en_US libQGLViewer -> interviewer
octomap-octovis.x86_64: W: no-manual-page-for-binary octovis
octomap-octovis-devel.x86_64: W: no-documentation
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SelectionBox.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeRecord.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/PointcloudDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SceneObject.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/TrajectoryDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/ColorOcTreeDrawer.h
dynamic-edt-3d.x86_64: W: spelling-error %description -l en_US updatable -> uneatable
dynamic-edt-3d-devel.x86_64: W: no-documentation
octomap-doc.noarch: W: spelling-error %description -l en_US doxygen -> oxygen, d oxygen
8 packages and 1 specfiles checked; 33 errors, 16 warnings.

(bug filed about fsf address: https://github.com/OctoMap/octomap/issues/63)

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7081528

Comment 5 Florian "der-flo" Lehner 2014-06-27 15:44:19 UTC
(In reply to Rich Mattes from comment #4)
> As far as the github url, the reasoning is explained in
> https://fedorahosted.org/fpc/ticket/233.  Indeed, the versioned URL like the
> one you proposed was considered, but since github's "releases" are really
> just git tags, which are mutable, they found it was better to just point to
> a specific commit then to rely on github's 'release' archive generation.

I didn't know about this so far.

Anyway:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "GPL (v2 or later) (with incorrect FSF address)", "GPL
     (unversioned/unknown version) GPL (v2 or later)", "Unknown or generated".
     39 files have unknown license. 
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/cmake(cmake)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in octomap-doc
     , octomap-octovis , octomap-octovis-devel , dynamic-edt-3d , dynamic-edt-
     3d-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7083721
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: octomap-1.6.6-3.fc21.x86_64.rpm
          octomap-devel-1.6.6-3.fc21.x86_64.rpm
          octomap-doc-1.6.6-3.fc21.noarch.rpm
          octomap-octovis-1.6.6-3.fc21.x86_64.rpm
          octomap-octovis-devel-1.6.6-3.fc21.x86_64.rpm
          dynamic-edt-3d-1.6.6-3.fc21.x86_64.rpm
          dynamic-edt-3d-devel-1.6.6-3.fc21.x86_64.rpm
          octomap-1.6.6-3.fc21.src.rpm
octomap.x86_64: W: spelling-error %description -l en_US octree -> trochee
octomap.x86_64: W: no-manual-page-for-binary bt2vrml
octomap.x86_64: W: no-manual-page-for-binary binvox2bt
octomap.x86_64: W: no-manual-page-for-binary log2graph
octomap.x86_64: W: no-manual-page-for-binary convert_octree
octomap.x86_64: W: no-manual-page-for-binary graph2tree
octomap.x86_64: W: no-manual-page-for-binary edit_octree
octomap.x86_64: W: no-manual-page-for-binary compare_octrees
octomap.x86_64: W: no-manual-page-for-binary eval_octree_accuracy
octomap-devel.x86_64: W: no-documentation
octomap-doc.noarch: W: spelling-error %description -l en_US doxygen -> oxygen, d oxygen
octomap-octovis.x86_64: W: spelling-error %description -l en_US libQGLViewer -> interviewer
octomap-octovis.x86_64: W: no-manual-page-for-binary octovis
octomap-octovis-devel.x86_64: W: no-documentation
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SelectionBox.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeRecord.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/PointcloudDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SceneObject.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/TrajectoryDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/ColorOcTreeDrawer.h
dynamic-edt-3d.x86_64: W: spelling-error %description -l en_US updatable -> uneatable
dynamic-edt-3d-devel.x86_64: W: no-documentation
octomap.src: W: spelling-error %description -l en_US octree -> trochee
8 packages and 0 specfiles checked; 7 errors, 17 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint dynamic-edt-3d octomap-doc octomap-octovis-devel octomap oc 
tomap-octovis octomap-devel dynamic-edt-3d-devel
dynamic-edt-3d.x86_64: W: spelling-error %description -l en_US updatable -> uneatable
dynamic-edt-3d.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libdynamicedt3d.so.1.6.6 /lib64/liboctomap.so.1.6
octomap-doc.noarch: W: spelling-error %description -l en_US doxygen -> oxygen, d oxygen
octomap-octovis-devel.x86_64: W: only-non-binary-in-usr-lib
octomap-octovis-devel.x86_64: W: no-documentation
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SelectionBox.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeRecord.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/PointcloudDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/OcTreeDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/SceneObject.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/TrajectoryDrawer.h
octomap-octovis-devel.x86_64: E: incorrect-fsf-address /usr/include/octovis/ColorOcTreeDrawer.h
octomap.x86_64: W: spelling-error %description -l en_US octree -> trochee
octomap.x86_64: W: no-manual-page-for-binary bt2vrml
octomap.x86_64: W: no-manual-page-for-binary binvox2bt
octomap.x86_64: W: no-manual-page-for-binary log2graph
octomap.x86_64: W: no-manual-page-for-binary convert_octree
octomap.x86_64: W: no-manual-page-for-binary graph2tree
octomap.x86_64: W: no-manual-page-for-binary edit_octree
octomap.x86_64: W: no-manual-page-for-binary compare_octrees
octomap.x86_64: W: no-manual-page-for-binary eval_octree_accuracy
octomap-octovis.x86_64: W: spelling-error %description -l en_US libQGLViewer -> interviewer
octomap-octovis.x86_64: W: no-manual-page-for-binary octovis
octomap-devel.x86_64: W: only-non-binary-in-usr-lib
octomap-devel.x86_64: W: no-documentation
dynamic-edt-3d-devel.x86_64: W: only-non-binary-in-usr-lib
dynamic-edt-3d-devel.x86_64: W: no-documentation
7 packages and 0 specfiles checked; 7 errors, 20 warnings.
# echo 'rpmlint-done:'



Requires
--------
dynamic-edt-3d (rpmlib, GLIBC filtered):
    /usr/sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    liboctomap.so.1.6()(64bit)
    liboctomath.so.1.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

octomap-doc (rpmlib, GLIBC filtered):

octomap-octovis-devel (rpmlib, GLIBC filtered):
    liboctovis.so.1.6()(64bit)
    octomap-devel(x86-64)
    octomap-octovis(x86-64)

octomap (rpmlib, GLIBC filtered):
    /usr/sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    liboctomap.so.1.6()(64bit)
    liboctomath.so.1.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

octomap-octovis (rpmlib, GLIBC filtered):
    /usr/sbin/ldconfig
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libQGLViewer.so.2.5.1()(64bit)
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtOpenGL.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    liboctomap.so.1.6()(64bit)
    liboctomath.so.1.6()(64bit)
    liboctovis.so.1.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

octomap-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    liboctomap.so.1.6()(64bit)
    liboctomath.so.1.6()(64bit)
    octomap(x86-64)

dynamic-edt-3d-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    dynamic-edt-3d(x86-64)
    libdynamicedt3d.so.1.6()(64bit)
    octomap-devel(x86-64)



Provides
--------
dynamic-edt-3d:
    dynamic-edt-3d
    dynamic-edt-3d(x86-64)
    libdynamicedt3d.so.1.6()(64bit)

octomap-doc:
    octomap-doc

octomap-octovis-devel:
    octomap-octovis-devel
    octomap-octovis-devel(x86-64)

octomap:
    liboctomap.so.1.6()(64bit)
    liboctomath.so.1.6()(64bit)
    octomap
    octomap(x86-64)

octomap-octovis:
    liboctovis.so.1.6()(64bit)
    octomap-octovis
    octomap-octovis(x86-64)

octomap-devel:
    octomap-devel
    octomap-devel(x86-64)
    pkgconfig(octomap)

dynamic-edt-3d-devel:
    dynamic-edt-3d-devel
    dynamic-edt-3d-devel(x86-64)
    pkgconfig(dynamicEDT3D)



Source checksums
----------------
https://github.com/OctoMap/octomap/archive/6d85527c3c1c50f52f3e591ba35154f0d1ff9cf8/octomap-1.6.6-6d85527.tar.gz :
  CHECKSUM(SHA256) this package     : 487b72c05c13546586e6e62b1b12344b752efc3dcbbd2ac2b4556bc3b40e77df
  CHECKSUM(SHA256) upstream package : 487b72c05c13546586e6e62b1b12344b752efc3dcbbd2ac2b4556bc3b40e77df


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -rn octomap-1.6.6-3.fc20.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
Please add (#1107422) to the initial comment of the spec-File than everything is fine and this package is APPROVED.

Comment 6 Rich Mattes 2014-06-27 20:39:47 UTC
Thanks for the review, I appreciate it!  I'll make sure to add the bug number to the spec before importing.

New Package SCM Request
=======================
Package Name: octomap
Short Description: Efficient Probabilistic 3D Mapping Framework Based on Octrees
Upstream URL: http://octomap.github.io/
Owners: rmattes
Branches: f19 f20 el6 epel7
InitialCC: cottsay

Comment 7 Gwyn Ciesla 2014-06-30 12:23:33 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-07-01 03:17:02 UTC
octomap-1.6.6-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/octomap-1.6.6-3.fc20

Comment 9 Fedora Update System 2014-07-01 23:27:11 UTC
octomap-1.6.6-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-07-04 00:27:56 UTC
octomap-1.6.6-4.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-07-16 01:59:23 UTC
octomap-1.6.6-4.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.